C----------------------------------------------------------------------
C     Redoing the local bifurcation of the model analysed by
C     Martin Boer, ch. 4 of thesis.
C---------------------------------------------------------------------- 
C
      SUBROUTINE FUNC(NDIM,U,ICP,PAR,IJAC,F,DFDU,DFDP) 
C     ---------- ---- 
C     
      IMPLICIT DOUBLE PRECISION (A-Z) 
      DIMENSION U(NDIM),PAR(*),F(NDIM)
      DOUBLE PRECISION x_1,x_2,x_3
      DOUBLE PRECISION a_1,a_2,b_1,b_2
      DOUBLE PRECISION d_1,d_2
      DOUBLE PRECISION T,mu
      DOUBLE PRECISION f_1,f_2
C     Declaring variables
      x_1=U(1)
      x_2=U(2)
      x_3=U(3)
C     Parameter values
      d_1=PAR(1)
      d_2=PAR(2)
      T=PAR(3)
      mu=PAR(4)
      a_1 = 5.
      a_2 = 0.1
      b_1 = 3.
      b_2 = 2.
      f_1=(a_1*x_1)/(1. + b_1*x_1)
      f_2=(a_2*x_2)/(1. + b_2*x_2)
C     Formulas
      F(1)= T*(x_1*(1. - x_1) - f_1*x_2)
      F(2)= T*(f_1*x_2 - d_1*x_2 - f_2*x_3)
      F(3)= T*(f_2*x_3 - d_2*x_3)
C     
      RETURN 
      END 
C
      SUBROUTINE STPNT(NDIM,U,PAR) 
C     
      IMPLICIT DOUBLE PRECISION (A-Z) 
      DIMENSION U(NDIM),PAR(*)
C     0.16<par1=d1<0.32,0.0075<par2=d2<0.015
      PAR(3)=1.
      PAR(4)=1.
C
      PAR(1)=0.5
      PAR(2)=0.0125
      U(1)=0.7415816238
      U(2)=0.1666666667
      U(3)=8.664398854
C
C      PAR(1)=0.26
C      PAR(2)=0.0125
C      U(1)=0.74158162
C      U(2)=0.1666666667
C      U(3)=11.864398
C
      RETURN 
      END 
C     
      SUBROUTINE BCND 
      RETURN 
      END 
C     
      SUBROUTINE ICND 
      RETURN 
      END 
C     
      SUBROUTINE FOPT 
      RETURN 
      END 
C     
      SUBROUTINE PVLS
      RETURN 
      END







































































































